//Importing react from the react and reactdom from the react-dom usedata from ./usedata and marks from ./marks
import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

//Setting the width and height of the map
const width = 960;
const height = 500;
//Create one function to include usedata.js 
const App = () => {
  const data = useData();
//If data is not available then need to return the loading
  if (!data) {
    return <pre>Loading...</pre>;
  }
// If the data is available include the information of the data
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
//Inorder to use/render a react element we need to pass the element root
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
