//Importing the react, useState, useEffect from the react module
import React, { useState, useEffect } from 'react';
//Importing the json from d3 and import the feature, mesh from the topojson
import { json } from 'd3';
import { feature, mesh } from 'topojson';
//Including the json URl
const jsonUrl = 'https://gist.githubusercontent.com/bhargavarathod/8c661cf5ed10cf1ed2bbb5dd2b4d8de4/raw/c818c6dad3d2afec1aad349b9f8a3943bfb5b58a/africa.json';
//Assign the use data with topology features and states include use this as data to retrieve the map
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
